Bug 1263 - dhcpcd, вызываемый из /sbin/ifup, делает свой /etc/ntp.conf с неправильным driftfile
: dhcpcd, вызываемый из /sbin/ifup, делает свой /etc/ntp.conf с неправильным dr...
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/initscripts)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-09-16 13:12 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-09-16 13:12:47
Система ALT Master 2.0 с update\'ами:
  initscripts-5.49-ipl40mdk
  dhcpcd-1.3.21pl1-alt1
  ntp-4.1.1-alt3
Содержимое /etc/sysconfig/network-scripts/ifcfg-eth0 :
  DEVICE=eth0
  BOOTPROTO=dhcp
  ONBOOT=yes
При старте из /sbin/ifup вызывается dhcpcd (без ключа -N),
dhcpcd создаёт свой /etc/ntp.conf, в котором, в частности,
driftfile другой, нежели в пакете ntp.
---

---
  Возможное решение:
добавить ключ -N в /sbin/ifup в аргументы для dhcpcd
(либо безусловно, либо аналогично тому, как это сделано
для ключа -R).
  Указанную несовместимость можно убрать и путём изменения
dhcpcd или пакета ntp, но мне кажется неправильной
именно безусловная подмена конфигурационного файла.
------- Comment #1 From 2002-09-28 19:28:59 -------
I\'ll add
[ \"$PEERNTP\" = yes ] || DHCP_ARGS=\"$DHCP_ARGS -N\"
expression in the next package release.
------- Comment #2 From 2002-09-28 19:28:59 -------
I\'ll add
[ \"$PEERNTP\" = yes ] || DHCP_ARGS=\"$DHCP_ARGS -N\"
expression in the next package release.
------- Comment #3 From 2002-10-14 20:47:19 -------
Fixed in 5.49-ipl45mdk
------- Comment #4 From 2002-10-14 20:47:19 -------
Fixed in 5.49-ipl45mdk